body {
    overflow-x: hidden;
}

/* Palette */
.color-30 {
    background-color: #d0804d;
    color: #fff;
}

.color2-30 {
    background-color: rgba(208, 128, 77, 0.9);
    color: #fff;
}

.color-10 {
    background-color: #d0804d;
    color: #fff;
}

.btn-color-30 {
    background-color: #d0804d;
    color: #fff;
    transition: transform 0.3s ease, background-color 0.3s;
}

.btn-color-30:hover {
    background-color: #b8683a;
}

.btn-color-10 {
    background-color: #cfe2ff;
    transition: transform 0.3s ease, background-color 0.3s;
}

.btn-color-10:hover {
    background-color: #98a5ba;
}

footer {
    height: auto;
    background-color: darkgoldenrod;
}



/* Effects */
.zoom-contained {
    transition: transform 0.3s ease;
    display: block;
    width: 100%;
    height: 25rem;
}

.overflow-hidden:hover .zoom-contained {
    transform: scale(1.05);
}

.overflow-hidden {
    overflow: hidden;
}

/* Overlayed Navbar */
nav.navbar-overlay {
    position: absolute;
    top: 0;
    width: 100%;
    z-index: 10;
}

nav a {
    text-decoration: none;
    font-weight: bold;
    color: #fff;
}



/* Hero */
.hero-video-container {
    height: 80vh;
    overflow: hidden;
}

.hero-video-container video {
    position: absolute;
    top: 0;
    left: 0;
    object-fit: cover;
    width: 100%;
    height: 100%;
    z-index: -1;
}

.hero-image {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
    position: absolute;
    top: 0;
    left: 0;

}

.hero-overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.45); /* Adjust darkness here */
    z-index: 0;
}

.map-btn {
    position: absolute;
    bottom: 50px;
    right: 50px;
    z-index: 3;
    background-color: #d0804d;
    color: white;
    padding: 20px;
    border-radius: 50%;
    text-align: center;
    box-shadow: 0 4px 12px rgba(0,0,0,0.3);
    transition: transform 0.3s ease, background-color 0.3s;
    animation: bounce 2s infinite;
}

.map-btn:hover {
    background-color: #b8683a;
    transform: scale(1.1);
}

@keyframes bounce {
    0%, 100% { transform: translateY(0); }
    50% { transform: translateY(-8px); }
}



/* Search */
.search-box {
    background: white;
    padding: 2rem;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    gap: 10px;
    top: -40px;
    box-shadow: 0 4px 8px rgba(0,0,0,0.1);
    width: fit-content;
    margin: auto;
}

/* ORGANIC SHAPES */
.blob-top-left {
    position: absolute;
    top: -100px;
    left: -100px;
    width: 350px;
    height: 220px;
    opacity: 0.5;
    z-index: 2;
}

.bg-wave {
    background-image: url('images/wave.svg');
    background-size: cover;        /* Stretches the image */
    background-position: center;   /* Centers it */
    background-repeat: no-repeat;  /* No repeat */
    position: relative;
    z-index: 2;
}

.bg-wave > * {
    position: relative;
    z-index: 2;
}